PrefabFiles = {
	"madeleine",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/madeleine.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/madeleine.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/madeleine.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/madeleine.xml" ),

    Asset( "IMAGE", "bigportraits/madeleine.tex" ),
    Asset( "ATLAS", "bigportraits/madeleine.xml" ),
	
	Asset( "IMAGE", "images/map_icons/madeleine.tex" ),
	Asset( "ATLAS", "images/map_icons/madeleine.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_madeleine.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_madeleine.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_madeleine.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_madeleine.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.madeleine = "The Rich Cat"
STRINGS.CHARACTER_NAMES.madeleine = "Madeleine"
STRINGS.CHARACTER_DESCRIPTIONS.madeleine = "*Runs very fast, but hits weak\n*Is not afraid of darkness\n*Has many precious things and warm fur"
STRINGS.CHARACTER_QUOTES.madeleine = "\"Meow!\""

-- Custom speech strings
STRINGS.CHARACTERS.madeleine = require "speech_madeleine"

-- The character's name as appears in-game 
STRINGS.NAMES.madeleine = "Madeleine"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.madeleine = 
{
	GENERIC = "It's Madeleine!",
	ATTACKER = "That Madeleine looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Madeleine, friend of ghosts.",
	GHOST = "Madeleine could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "madeleine")


AddMinimapAtlas("images/map_icons/madeleine.xml")
AddModCharacter("madeleine")

